PDA

Просмотр полной версии : Допы для сценария



Dj Zlo
17.07.2019, 09:47
Приветствую, коллеги по цеху. Нужна инфа! Я переделываю сценарий, чтобы он работал под TRS 2019. Карта "Балезино - Мосты".

Что нужно доставлять в игру? Я с 2014 года не открывал Trainz. Порыл форум - внятной информации не нашёл. Нужна ли x7? Встроен ли АЛСН? Дайте пару советов.

OlegKhim
17.07.2019, 10:42
Это платное дополнение и как минимум - нужно иметь купленную версию https://store.trainzportal.com/products/trainz-route-balezino-mosti?aff=31
Вариант дешевле https://store.trainzportal.com/products/balezino-mosti-with-bonus-sessions?aff=31

Dj Zlo
17.07.2019, 11:20
Это платное дополнение и как минимум - нужно иметь купленную версию

Я вчера купил карту через Steam

Volaner
17.07.2019, 14:30
Это платное дополнение и как минимум - нужно иметь купленную версию

Я вчера купил карту через Steam

Первым делом посмотри список зависимостей к маршруту. Скорее всего ничего версии 4.6 (т.е. для Trainz 2019) ты там не увидишь. Скорее всего это то самое "Белезено-мосты", которое стало продаваться под Таню. Не знаю, что там вообще переделано, относительно версии маршрута, которая была бесплатной в 2012-м. Вопрос, какой процент контента там хотя бы 3.7. Поэтому, смотри версии зависимостей. Если там большое кол-во контента ниже 3.7. То это тот же самый маршрут, что был в 2012-м, только с ценником.

Дело в том, что многое, что горело жёлтым в 3.7, горит красным в 4.6. Ну например "The texture 'x.tga' is a uniform color". Поэтому, если в зависимостях будет много ниже 3.7, просто забей, ты забадаешься это всё чинить.

Если всё же решишь продолжать, то последовательность действий такова:

1) Чинишь всё зависимости, которые корят красным, если такие вообще есть. Пока ты все ошибки не исправишь, не стоит и пытаться загружать маршрут.

2) Загружаешь маршрут и проверяешь работу сигналки. Реагируют ли светофоры на перевод стрелок.

Ну и если маршрут нормально грузиться, сигналка работает, жуков не показывает, то у тебя есть рабочий маршрут. А вот что надо сделать, чтоб заставить работать твои сессии сделанные в 12-м, это зависит от того, что ты в них использовал. Но для начала, надо заставить работать сам маршрут.

Dj Zlo
17.07.2019, 15:37
Первым делом посмотри список зависимостей к маршруту. Скорее всего ничего версии 4.6 (т.е. для Trainz 2019) ты там не увидишь. Скорее всего это то самое "Белезено-мосты", которое стало продаваться под Таню. Не знаю, что там вообще переделано, относительно версии маршрута, которая была бесплатной в 2012-м. Вопрос, какой процент контента там хотя бы 3.7. Поэтому, смотри версии зависимостей. Если там большое кол-во контента ниже 3.7. То это тот же самый маршрут, что был в 2012-м, только с ценником.

Дело в том, что многое, что горело жёлтым в 3.7, горит красным в 4.6. Ну например "The texture 'x.tga' is a uniform color". Поэтому, если в зависимостях будет много ниже 3.7, просто забей, ты забадаешься это всё чинить.

Если всё же решишь продолжать, то последовательность действий такова:

1) Чинишь всё зависимости, которые корят красным, если такие вообще есть. Пока ты все ошибки не исправишь, не стоит и пытаться загружать маршрут.

2) Загружаешь маршрут и проверяешь работу сигналки. Реагируют ли светофоры на перевод стрелок.

Ну и если маршрут нормально грузиться, сигналка работает, жуков не показывает, то у тебя есть рабочий маршрут. А вот что надо сделать, чтоб заставить работать твои сессии сделанные в 12-м, это зависит от того, что ты в них использовал. Но для начала, надо заставить работать сам маршрут.

Маршрут грузится. И сессия грузится. Но в ней нет пары локомотивов :))) исправлю. А вот сценарий весь был на z7 :) Естественно, что в списке действий остались только стандартные команды.

Volaner
17.07.2019, 15:52
Первым делом посмотри список зависимостей к маршруту. Скорее всего ничего версии 4.6 (т.е. для Trainz 2019) ты там не увидишь. Скорее всего это то самое "Белезено-мосты", которое стало продаваться под Таню. Не знаю, что там вообще переделано, относительно версии маршрута, которая была бесплатной в 2012-м. Вопрос, какой процент контента там хотя бы 3.7. Поэтому, смотри версии зависимостей. Если там большое кол-во контента ниже 3.7. То это тот же самый маршрут, что был в 2012-м, только с ценником.

Дело в том, что многое, что горело жёлтым в 3.7, горит красным в 4.6. Ну например "The texture 'x.tga' is a uniform color". Поэтому, если в зависимостях будет много ниже 3.7, просто забей, ты забадаешься это всё чинить.

Если всё же решишь продолжать, то последовательность действий такова:

1) Чинишь всё зависимости, которые корят красным, если такие вообще есть. Пока ты все ошибки не исправишь, не стоит и пытаться загружать маршрут.

2) Загружаешь маршрут и проверяешь работу сигналки. Реагируют ли светофоры на перевод стрелок.

Ну и если маршрут нормально грузиться, сигналка работает, жуков не показывает, то у тебя есть рабочий маршрут. А вот что надо сделать, чтоб заставить работать твои сессии сделанные в 12-м, это зависит от того, что ты в них использовал. Но для начала, надо заставить работать сам маршрут.

Маршрут грузится. И сессия грузится. Но в ней нет пары локомотивов :))) исправлю. А вот сценарий весь был на z7 :) Естественно, что в списке действий остались только стандартные команды.

Ну z7 не работает и в 3.7. Менять надо на su + ZxPath. ZxPath в 19-м работает на небольших картах. По крайней мере до тех пор, пока не отключат режим совместимости. Но замена светофоров это перестройка самого маршрута. Маршрут платный, такая переделка, это чисто для себя. Оно тебе надо?

---------- Сообщение добавлено в 15:52 ---------- Предыдущее сообщение размещено в 15:50 ----------

Таки а что там в зависимостях? Какие версии? Мне очень уж интересно.

Dj Zlo
18.07.2019, 13:50
Volaner, http://priscree.ru/img/e8559a085e5fab.png

Я автору карты написал. Он посоветовал установить англ.версию игры. Удалил русскую. Через несколько часов скачается английская :))) Steam весьма не быстр

---------- Сообщение добавлено 18.07.2019 в 13:50 ---------- Предыдущее сообщение размещено 17.07.2019 в 17:41 ----------






Первым делом посмотри список зависимостей к маршруту. Скорее всего ничего версии 4.6 (т.е. для Trainz 2019) ты там не увидишь. Скорее всего это то самое "Белезено-мосты", которое стало продаваться под Таню. Не знаю, что там вообще переделано, относительно версии маршрута, которая была бесплатной в 2012-м. Вопрос, какой процент контента там хотя бы 3.7. Поэтому, смотри версии зависимостей. Если там большое кол-во контента ниже 3.7. То это тот же самый маршрут, что был в 2012-м, только с ценником.

Дело в том, что многое, что горело жёлтым в 3.7, горит красным в 4.6. Ну например "The texture 'x.tga' is a uniform color". Поэтому, если в зависимостях будет много ниже 3.7, просто забей, ты забадаешься это всё чинить.

Если всё же решишь продолжать, то последовательность действий такова:

1) Чинишь всё зависимости, которые корят красным, если такие вообще есть. Пока ты все ошибки не исправишь, не стоит и пытаться загружать маршрут.

2) Загружаешь маршрут и проверяешь работу сигналки. Реагируют ли светофоры на перевод стрелок.

Ну и если маршрут нормально грузиться, сигналка работает, жуков не показывает, то у тебя есть рабочий маршрут. А вот что надо сделать, чтоб заставить работать твои сессии сделанные в 12-м, это зависит от того, что ты в них использовал. Но для начала, надо заставить работать сам маршрут.

Маршрут грузится. И сессия грузится. Но в ней нет пары локомотивов :))) исправлю. А вот сценарий весь был на z7 :) Естественно, что в списке действий остались только стандартные команды.

Ну z7 не работает и в 3.7. Менять надо на su + ZxPath. ZxPath в 19-м работает на небольших картах. По крайней мере до тех пор, пока не отключат режим совместимости. Но замена светофоров это перестройка самого маршрута. Маршрут платный, такая переделка, это чисто для себя. Оно тебе надо?

---------- Сообщение добавлено в 15:52 ---------- Предыдущее сообщение размещено в 15:50 ----------

Таки а что там в зависимостях? Какие версии? Мне очень уж интересно.

Я поставил себе англ.версию. Сначала загрузил маршрут из стим, потом загрузил менеджер контента свой сценарий..... и... Игра показала недостающие куиды и я их скачал! А там СТАРЫЙ МАРШРУТ для Tane. Т.е. у меня стало два маршрута: "Фантазия" и Балезино - Мосты :)))). Естественно сценарий привязан к маршруту Фантазия, где нет кучи куидов.

Volaner
21.07.2019, 06:03
Volaner, http://priscree.ru/img/e8559a085e5fab.png

Я автору карты написал. Он посоветовал установить англ.версию игры. Удалил русскую. Через несколько часов скачается английская :))) Steam весьма не быстр

---------- Сообщение добавлено 18.07.2019 в 13:50 ---------- Предыдущее сообщение размещено 17.07.2019 в 17:41 ----------






Первым делом посмотри список зависимостей к маршруту. Скорее всего ничего версии 4.6 (т.е. для Trainz 2019) ты там не увидишь. Скорее всего это то самое "Белезено-мосты", которое стало продаваться под Таню. Не знаю, что там вообще переделано, относительно версии маршрута, которая была бесплатной в 2012-м. Вопрос, какой процент контента там хотя бы 3.7. Поэтому, смотри версии зависимостей. Если там большое кол-во контента ниже 3.7. То это тот же самый маршрут, что был в 2012-м, только с ценником.

Дело в том, что многое, что горело жёлтым в 3.7, горит красным в 4.6. Ну например "The texture 'x.tga' is a uniform color". Поэтому, если в зависимостях будет много ниже 3.7, просто забей, ты забадаешься это всё чинить.

Если всё же решишь продолжать, то последовательность действий такова:

1) Чинишь всё зависимости, которые корят красным, если такие вообще есть. Пока ты все ошибки не исправишь, не стоит и пытаться загружать маршрут.

2) Загружаешь маршрут и проверяешь работу сигналки. Реагируют ли светофоры на перевод стрелок.

Ну и если маршрут нормально грузиться, сигналка работает, жуков не показывает, то у тебя есть рабочий маршрут. А вот что надо сделать, чтоб заставить работать твои сессии сделанные в 12-м, это зависит от того, что ты в них использовал. Но для начала, надо заставить работать сам маршрут.

Маршрут грузится. И сессия грузится. Но в ней нет пары локомотивов :))) исправлю. А вот сценарий весь был на z7 :) Естественно, что в списке действий остались только стандартные команды.

Ну z7 не работает и в 3.7. Менять надо на su + ZxPath. ZxPath в 19-м работает на небольших картах. По крайней мере до тех пор, пока не отключат режим совместимости. Но замена светофоров это перестройка самого маршрута. Маршрут платный, такая переделка, это чисто для себя. Оно тебе надо?

---------- Сообщение добавлено в 15:52 ---------- Предыдущее сообщение размещено в 15:50 ----------

Таки а что там в зависимостях? Какие версии? Мне очень уж интересно.

Я поставил себе англ.версию. Сначала загрузил маршрут из стим, потом загрузил менеджер контента свой сценарий..... и... Игра показала недостающие куиды и я их скачал! А там СТАРЫЙ МАРШРУТ для Tane. Т.е. у меня стало два маршрута: "Фантазия" и Балезино - Мосты :)))). Естественно сценарий привязан к маршруту Фантазия, где нет кучи куидов.

У тебя недостающие куиды к сценарию? Так собственно, а что ты хотел. Это твой сценарий, ты же там что то используешь, вот этих допов и не хватает. Это ты уже должен знать, что там у тебя есть, и на что это менять

Dj Zlo
24.07.2019, 09:12
Volaner, http://priscree.ru/img/e8559a085e5fab.png

Я автору карты написал. Он посоветовал установить англ.версию игры. Удалил русскую. Через несколько часов скачается английская :))) Steam весьма не быстр

---------- Сообщение добавлено 18.07.2019 в 13:50 ---------- Предыдущее сообщение размещено 17.07.2019 в 17:41 ----------






Первым делом посмотри список зависимостей к маршруту. Скорее всего ничего версии 4.6 (т.е. для Trainz 2019) ты там не увидишь. Скорее всего это то самое "Белезено-мосты", которое стало продаваться под Таню. Не знаю, что там вообще переделано, относительно версии маршрута, которая была бесплатной в 2012-м. Вопрос, какой процент контента там хотя бы 3.7. Поэтому, смотри версии зависимостей. Если там большое кол-во контента ниже 3.7. То это тот же самый маршрут, что был в 2012-м, только с ценником.

Дело в том, что многое, что горело жёлтым в 3.7, горит красным в 4.6. Ну например "The texture 'x.tga' is a uniform color". Поэтому, если в зависимостях будет много ниже 3.7, просто забей, ты забадаешься это всё чинить.

Если всё же решишь продолжать, то последовательность действий такова:

1) Чинишь всё зависимости, которые корят красным, если такие вообще есть. Пока ты все ошибки не исправишь, не стоит и пытаться загружать маршрут.

2) Загружаешь маршрут и проверяешь работу сигналки. Реагируют ли светофоры на перевод стрелок.

Ну и если маршрут нормально грузиться, сигналка работает, жуков не показывает, то у тебя есть рабочий маршрут. А вот что надо сделать, чтоб заставить работать твои сессии сделанные в 12-м, это зависит от того, что ты в них использовал. Но для начала, надо заставить работать сам маршрут.

Маршрут грузится. И сессия грузится. Но в ней нет пары локомотивов :))) исправлю. А вот сценарий весь был на z7 :) Естественно, что в списке действий остались только стандартные команды.

Ну z7 не работает и в 3.7. Менять надо на su + ZxPath. ZxPath в 19-м работает на небольших картах. По крайней мере до тех пор, пока не отключат режим совместимости. Но замена светофоров это перестройка самого маршрута. Маршрут платный, такая переделка, это чисто для себя. Оно тебе надо?

---------- Сообщение добавлено в 15:52 ---------- Предыдущее сообщение размещено в 15:50 ----------

Таки а что там в зависимостях? Какие версии? Мне очень уж интересно.

Я поставил себе англ.версию. Сначала загрузил маршрут из стим, потом загрузил менеджер контента свой сценарий..... и... Игра показала недостающие куиды и я их скачал! А там СТАРЫЙ МАРШРУТ для Tane. Т.е. у меня стало два маршрута: "Фантазия" и Балезино - Мосты :)))). Естественно сценарий привязан к маршруту Фантазия, где нет кучи куидов.

У тебя недостающие куиды к сценарию? Так собственно, а что ты хотел. Это твой сценарий, ты же там что то используешь, вот этих допов и не хватает. Это ты уже должен знать, что там у тебя есть, и на что это менять

Пришлось делать заново. Старый сценарий требует скачать маршрут "Фантазия", а к новому его не прикрутить. Они сильно отличаются. Переписал в тетрадь скрипты и заношу в новый сценарий.

Возникли два вопроса:
1. В TRS2019 имеется глюк. Если тепловоз цепляет электропоезд, и трогается с ним, поднимаются токоприёмники. Команды различных версий "опустить их" не помогают. В итоге тепловоз затаскивает состав в депо с поднятыми токоприёмниками. Может есть какой то финт, как этого избежать?
2. Какой командой скрипта можно заглушить двигатель?



New